#version 330

uniform sampler2D uDiffuseMap;
uniform float uAlpha;

in vec2 fTexCoord;

out vec4 fragColor; // first out variable is automatically written to the screen

void main()
{
	vec4 color = texture(uDiffuseMap, fTexCoord);
	color.a = uAlpha;
	
	fragColor = color;
}
